summaryrefslogtreecommitdiffstats
path: root/ruby/gem2tgz/gem2tgz.SlackBuild
diff options
context:
space:
mode:
author Gwenhael Le Moine <gwenhael.le.moine@gmail.com>2011-05-03 21:55:57 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-05-03 21:55:57 -0500
commitafde5bcd2d0b1d07109470fd68b37e9a4e11ccf1 (patch)
treef1ba8391a71b3653e21b47420fe4223ef0465f53 /ruby/gem2tgz/gem2tgz.SlackBuild
parent1a550edf56916cc141835706117265b7f0cb940d (diff)
downloadslackbuilds-afde5bcd2d0b1d07109470fd68b37e9a4e11ccf1.tar.gz
slackbuilds-afde5bcd2d0b1d07109470fd68b37e9a4e11ccf1.tar.xz
ruby/gem2tgz: Moved from Development and updated for version 1.2.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'ruby/gem2tgz/gem2tgz.SlackBuild')
-rw-r--r--ruby/gem2tgz/gem2tgz.SlackBuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/ruby/gem2tgz/gem2tgz.SlackBuild b/ruby/gem2tgz/gem2tgz.SlackBuild
new file mode 100644
index 0000000000..484530866a
--- /dev/null
+++ b/ruby/gem2tgz/gem2tgz.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for gem2tgz
+
+# Written by Gwenhael Le Moine <gwenhael.le.moine@gmail.com>
+
+PRGNAM=gem2tgz
+VERSION=1.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+SRCNAM="cycojesus-gem2tgz-v1.2-0-g3e84f91.tar.gz"
+SRCDIRNAM="cycojesus-gem2tgz-3e84f91"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM
+mv $SRCDIRNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,doc/$PRGNAM-$VERSION}
+cp gem2tgz $PKG/usr/bin
+chmod 755 $PKG/usr/bin/gem2tgz
+
+cp README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}